# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Actor.hpp File Reference

`#include "vl/Renderable.hpp"`
`#include "vl/LODEvaluator.hpp"`
`#include "vl/Uniform.hpp"`
`#include "vl/Effect.hpp"`
`#include "vl/Collection.hpp"`
`#include "vl/Scissor.hpp"`

## Classes

class | vl::ActorRenderingCallback
| The ActorRenderingCallback class defines a callback object to be executed just before an Actor is rendered but after the render states are setup. More...
class | vl::Actor
| Associates a Renderable object to an Effect and Transform. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Typedefs

typedef Collection< Actor > | vl::ActorCollection

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:27 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.